# GT-Connections

## Connections

<mark style="color:blue;">`GET`</mark> `https://api.zaui.io/octo/supplier/:supplierId/gt-connections/`

This endpoint search for and delivers all the connections matching your query.  The delivered set of product objects.<br>

#### Path Parameters

| Name       | Type   | Description     |
| ---------- | ------ | --------------- |
| supplierId | number | The supplier ID |

#### Request Body

| Name                           | Type    | Description                                                                                         |
| ------------------------------ | ------- | --------------------------------------------------------------------------------------------------- |
| passengers                     | integer |                                                                                                     |
| departureLocation              | array   | The departure location object                                                                       |
| departureLocation\[].stationId | string  | 8 or 9 letter alphanumeric uppercase code obtained using the Locations Capability `GET /locations/` |
| arrivalLocation                | array   | The arrival location object                                                                         |
| arrivalLocation\[].stationId   | string  | 8 or 9 letter alphanumeric uppercase code obtained from `GET` `/locations/`                         |
| localDateTimeDeparture         | string  | The suppliers local departure date (YYYY-MM-DD)                                                     |
| localDateTimeArrival           | string  | <p>The suppliers local arrival date (YYYY-MM-DD)<br></p>                                            |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}
